Merkl Developer Portal logo
get

/v4/protocols/

List protocols supported and integrated by Merkl. Use query parameters to filter by chain ID, tags, or other criteria.

Query parameters

pagenumber | stringdefault: 0

0-indexed page number

itemsnumber | stringdefault: 20

Number of items returned by page

idstring

Filter by protocol slug (e.g. aave, morpho, uniswap). NOT a numeric ID. See ID types.

testbooleandefault: false

Includes protocols that have only test opportunities

idsstring[]

Filter by multiple protocol slugs (e.g. aave, morpho).

namestring

Search protocols by name

tagsstring[]

Filter by tags

opportunityTagstring

Filter by underlying tag opportunities

opportunityChainnumber | string

Filter by underlying opportunity chains

statusstring

A comma separated list of campaign statuses used to filter campaigns counted in numberOfLiveCampaigns and dailyRewards. Legal values: LIVE, PAST, SOON. Defaults to LIVE.

tokenTypesenum[]

Filter campaigns counted in numberOfLiveCampaigns and dailyRewards by reward token type. Default: no filter.

TOKENPRETGEPOINT
excludeSubCampaignsbooleandefault: false

Exclude sub-campaigns from the campaigns counted in numberOfLiveCampaigns and dailyRewards. Default: false.

Responses

200
Response for status 200
Schema
object[]
idstring
namestring
iconstring
tagsstring[]
descriptionstring
urlstring
dailyRewardsnumber
numberOfLiveCampaignsnumber
opportunityLiveTagsstring[]
bannerstring | null
opportunityBannerLightstring | null
opportunityBannerDarkstring | null
trustDataobject | null
slugstring
categorystring | null
auditsstring | null
audit_linksstring[]
audit_notestring | null
githubstring[]
twitterstring | null
listedAtnumber | null
parentProtocolstring | null
tvlnumber | null
hacksobject[]
datenumber
namestring | null
amountUSDnumber | null
techniquestring | null
sourcestring | null
syncedAtnumber
Example
[
  {
    "id": "string",
    "name": "string",
    "icon": "string",
    "tags": [
      "string"
    ],
    "description": "string",
    "url": "string",
    "dailyRewards": 0,
    "numberOfLiveCampaigns": 0,
    "opportunityLiveTags": [
      "string"
    ],
    "banner": "string",
    "opportunityBannerLight": "string",
    "opportunityBannerDark": "string",
    "trustData": {
      "slug": "string",
      "category": "string",
      "audits": "string",
      "audit_links": [
        "string"
      ],
      "audit_note": "string",
      "github": [
        "string"
      ],
      "twitter": "string",
      "listedAt": 0,
      "parentProtocol": "string",
      "tvl": 0,
      "hacks": [
        {
          "date": null,
          "name": null,
          "amountUSD": null,
          "technique": null,
          "source": null
        }
      ],
      "syncedAt": 0
    }
  }
]